@echo off

IF NOT .%JAVA_HOME%==. GOTO JdkFound
ECHO Could not find a JDK.
ECHO Either you have to install a JDK (preferrably 1.4) or you have to set JAVA_HOME to your JDK installation directory.
PAUSE
GOTO :EndOfScript

:JdkFound

set JAVACMD=%JAVA_HOME%\bin\java
ECHO Java command is '%JAVACMD%'.

set CLASSPATH=..\lib\Util-1.2.jar;
@set CLASSPATH=%CLASSPATH%;..\lib\xmlParserAPIs.jar;..\lib\xercesImpl.jar;
set CLASSPATH=%CLASSPATH%;..\lib\XMI-1.2.jar;
set CLASSPATH=%CLASSPATH%;..\lib\UMLModel-1.1.jar;..\lib\UMLModel-2.0.jar;
set CLASSPATH=%CLASSPATH%;..\lib\OCL4Java-1.1.jar;..\lib\OCL4Java-2.0.jar;
set CLASSPATH=%CLASSPATH%;..\lib\bcel.jar;
set CLASSPATH=%CLASSPATH%;..\lib\ToolGen-1.2.jar;
set CLASSPATH=%CLASSPATH%;..\lib\CUPRuntime.jar;
set CLASSPATH=%CLASSPATH%;..\lib\KMFStudio-4.0.jar
set CLASSPATH=%CLASSPATH%;..\lib\OCLCommon.jar
set CLASSPATH=%CLASSPATH%;..\lib\OCL4KMF.jar
ECHO Classpath is '%CLASSPATH%'.

set STUDIO_HOME=..\lib\
ECHO KMFStudio home is %STUDIO_HOME%.

%JAVACMD% -cp "%CLASSPATH%" uk.ac.kent.cs.kmf.kmfstudio.KMFStudio
PAUSE

:EndOfScript
